function OnSceneLoad(screen)
    LoadData(screen)
    DefaultOnSceneLoad('data/Scenes/06_Laundry_Utility_Room_HO.lua', 'hidden_object', 'data/Scenes/06_Laundry_Main.lua')
    
    play_field:IgnoreOnTestPoint('fly_anim_2');
    play_field:IgnoreOnTestPoint('BG_Botinok');
    
    play_field:GetObject('Layer_shelf_open' ):SetOpacity(0);
    play_field:GetObject('BG_kitchenScales' ):SetOpacity(0);
    play_field:GetObject('KitchenScales'    ):SetOpacity(0);
    
    RegisterActiveObject('area_shelf',  function(obj_name)
                                            play_field:GetObject(obj_name):SetVisible(false);
                                            
                                            play_field:GetObject('Layer_shelf_open' ):ChangeOpacity(0, 1, OPEN_DOOR_TIME);
                                            play_field:GetObject('BG_kitchenScales' ):ChangeOpacity(0, 1, OPEN_DOOR_TIME);
                                            play_field:GetObject('KitchenScales'    ):ChangeOpacity(0, 1, OPEN_DOOR_TIME);
                                            
                                            PlaySound('06_OpenShelfInHO');
                                        end,
                                        function(obj_name)
                                            play_field:GetObject(obj_name):SetVisible(false);
                                            
                                            play_field:GetObject('Layer_shelf_open' ):SetOpacity(1);
                                            play_field:GetObject('BG_kitchenScales' ):SetOpacity(1);
                                            play_field:GetObject('KitchenScales'    ):SetOpacity(1);
                                        end);
    
    AddTask(CreateTask('SHOE',            'SHOES', 'Shoe', 'Shoe1', 'Shoe2'));
    AddTask(CreateTask('SCOOP_NET',       '',      'ScoopNet'));
    AddTask(CreateTask('KITCHEN_SCALES',  '',      'KitchenScales'));
    AddTask(CreateTask('RED_LANTERN',     '',      'Lamp'));
    
    AddRandomTasks( CreateTask('BELL',             '', 'Bell'),
                   -- CreateTask('BONNET',           '', 'Bonnet'),     -- EAP-650
                   -- CreateTask('BOOK',             '', 'Book'),       -- EAP-641
                    CreateTask('BUG',              '', 'Bug'),
                    CreateTask('CLOTHESPINS',      '', 'Clothespins'),
                    CreateTask('DOLL',             '', 'Doll'),
                    CreateTask('KEY',              '', 'Key'),
                   -- CreateTask('KNICKERS',         '', 'Knickers'),   -- EAP-475
                    CreateTask('LIZARD',           '', 'Lizard'),
                    CreateTask('MIRROR',           '', 'Mirror'),
                    CreateTask('BUNDLE',           '', 'Nabob'),
                    CreateTask('PAINTING',         '', 'Painting'),
                    CreateTask('PAN',              '', 'Pan'),
                    CreateTask('PEACH',            '', 'Peach'),
                    CreateTask('PEAR',             '', 'Pear'),
                    CreateTask('PLATE',            '', 'Plate'),
                    CreateTask('ROSE',             '', 'Rose'),
                    CreateTask('SPOON',            '', 'Spoon'),
                    CreateTask('DRAGON',           '', 'Dragon'),
                    CreateTask('ELEPHANT',         '', 'Elephant'),
                    CreateTask('GIRAFFE',          '', 'Giraffe'),
                    CreateTask('PERFUME',          '', 'Perfume'),
                    CreateTask('PHOTO',            '', 'Photo'),
                    CreateTask('POWDERCASE',       '', 'PowderCase'),
                    CreateTask('PRESSINGMACHINE',  '', 'PressingMachine'),
                    CreateTask('SWAN',             '', 'Swan'),
                    CreateTask('TASSELS',          '', 'Tassels'));
    
    RegisterToolFindInfo('06_scoop_net');
    
    game_state.disable_close_scene_on_complete = true;
end

function OnSceneFree(screen)
    DefaultOnSceneFree()
    FreeData(screen)
end

function OnUpdate(dt)
    DefaultOnUpdate(dt)
end

function OnAllItemsFound()
    DefaultOnAllItemsFound()
end

function OnLose()
    DefaultOnLose()
end

function OnExit()
    DefaultOnExit()
end

function OnClose()
    DefaultOnClose()
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    local is_wrong_click = not DefaultOnObjectMouseDown(object)
    local obj_name = object:GetName()
    local pf = play_field

    DefaultOnObjectMouseDownProcessed(is_wrong_click);
end

function OnObjectMouseUp(object)
    DefaultOnObjectMouseUp(object)
end

function OnObjectFound(object)
    DefaultOnObjectFound(object)
end

function OnToolFound(tool)
    DefaultOnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
    DefaultOnObjectReachPanel(object)
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
    DefaultOnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
    DefaultOnSetTool(tool)
end

function LevelLoaded(level)
end

function OnSceneDestroy(playfield)
    DefaultOnSceneDestroy(playfield)
end

--------------------------------------------------------------------------------
-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_utility_room/Layers/background.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('background',anim,512,384,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_utility_room/Items/Bag.png',0,0,86,91,1,0)
	anim:SetHotSpot(43,45)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Bag',anim,163,61,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_utility_room/Items/Bell.png',0,0,32,47,1,0)
	anim:SetHotSpot(16,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Bell',anim,742,428,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_utility_room/Items/Bonnet.png',0,0,72,103,1,0)
	anim:SetHotSpot(36,51)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Bonnet',anim,539,307,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_utility_room/Items/Book.png',0,0,75,109,1,0)
	anim:SetHotSpot(37,54)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Book',anim,33,473,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_utility_room/Items/Bug.png',0,0,25,28,1,0)
	anim:SetHotSpot(12,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Bug',anim,793,615,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_utility_room/Items/Clothespins.png',0,0,60,51,1,0)
	anim:SetHotSpot(30,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Clothespins',anim,971,547,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_utility_room/Items/Doll.png',0,0,107,92,1,0)
	anim:SetHotSpot(53,46)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Doll',anim,821,209,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_utility_room/Items/Key.png',0,0,66,28,1,0)
	anim:SetHotSpot(33,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Key',anim,909,543,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_utility_room/Items/Knickers.png',0,0,126,110,1,0)
	anim:SetHotSpot(63,55)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Knickers',anim,937,611,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_utility_room/Items/Lamp.png',0,0,68,94,1,0)
	anim:SetHotSpot(34,47)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Lamp',anim,271,601,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_utility_room/Items/Lizard.png',0,0,52,34,1,0)
	anim:SetHotSpot(26,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Lizard',anim,567,627,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_utility_room/Items/Mirror.png',0,0,78,80,1,0)
	anim:SetHotSpot(39,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Mirror',anim,867,483,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_utility_room/Items/Nabob.png',0,0,95,71,1,0)
	anim:SetHotSpot(47,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Nabob',anim,205,173,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_utility_room/Items/Painting.png',0,0,84,92,1,0)
	anim:SetHotSpot(42,46)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Painting',anim,735,325,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_utility_room/Items/Pan.png',0,0,51,56,1,0)
	anim:SetHotSpot(25,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Pan',anim,258,424,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_utility_room/Items/Peach.png',0,0,26,25,1,0)
	anim:SetHotSpot(13,12)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Peach',anim,279,321,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_utility_room/Items/Pear.png',0,0,67,53,1,0)
	anim:SetHotSpot(33,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Pear',anim,81,381,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_utility_room/Items/Plate.png',0,0,68,24,1,0)
	anim:SetHotSpot(34,12)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Plate',anim,306,430,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_utility_room/Items/Rose.png',0,0,43,39,1,0)
	anim:SetHotSpot(21,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Rose',anim,739,585,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_utility_room/Items/Shoe1.png',0,0,56,72,1,0)
	anim:SetHotSpot(28,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Shoe1',anim,929,168,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_utility_room/Items/Shoe2.png',0,0,58,55,1,0)
	anim:SetHotSpot(29,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Shoe2',anim,419,650,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_utility_room/Items/Spoon.png',0,0,62,20,1,0)
	anim:SetHotSpot(31,10)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Spoon',anim,240,480,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_utility_room/Items/ScoopNet.png',0,0,145,97,1,0)
	anim:SetHotSpot(72,48)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ScoopNet',anim,738,600,103,10,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_utility_room/Layers/BG_chest.png',0,0,51,97,1,0)
	anim:SetHotSpot(25,48)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_chest',anim,782,614,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_utility_room/Layers/BG_rag.png',0,0,87,58,1,0)
	anim:SetHotSpot(43,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_rag',anim,739,597,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_utility_room/Layers/BG_shelf2.png',0,0,358,229,1,0)
	anim:SetHotSpot(179,114)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_shelf2',anim,175,111,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_utility_room/Layers/BG_shelf.png',0,0,118,59,1,0)
	anim:SetHotSpot(59,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_shelf',anim,206,196,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_utility_room/Layers/BG_ladder.png',0,0,33,66,1,0)
	anim:SetHotSpot(16,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_ladder',anim,559,301,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_utility_room/Layers/BG_rope.png',0,0,63,43,1,0)
	anim:SetHotSpot(31,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_rope',anim,734,647,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/05_Gendarmery/Zone_wart/Animations/fly_anim.png',0,0,217,217,8,12)
	anim:SetHotSpot(108,108)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fly_anim_2',anim,453,175,110,0,0.9,0.9)
	local anim = CreateAnimation('data/Texture/Scenes/Common/Animations/candle.png',0,0,20,40,25,20)
	anim:SetHotSpot(10,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('candle_flame1',anim,257,251,101,0,0.6,0.6)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_utility_room/Layers/Layer_shelf_open.png',0,0,99,154,1,0)
	anim:SetHotSpot(49,77)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Layer_shelf_open',anim,347,175,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_utility_room/Layers/BG_kitchenScales.png',0,0,52,62,1,0)
	anim:SetHotSpot(26,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_kitchenScales',anim,359,215,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_utility_room/Items/KitchenScales.png',0,0,35,55,1,0)
	anim:SetHotSpot(17,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('KitchenScales',anim,361,214,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area_circle.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_shelf',anim,356,181,104,0,0.76,1.28)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_utility_room/Items/Dragon.png',0,0,192,54,1,0)
	anim:SetHotSpot(96,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Dragon',anim,517,82,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_utility_room/Items/Elephant.png',0,0,51,40,1,0)
	anim:SetHotSpot(25,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Elephant',anim,560,204,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_utility_room/Items/Giraffe.png',0,0,57,69,1,0)
	anim:SetHotSpot(28,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Giraffe',anim,418,330,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_utility_room/Items/Perfume.png',0,0,50,49,1,0)
	anim:SetHotSpot(25,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Perfume',anim,93,456,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_utility_room/Items/Photo.png',0,0,49,68,1,0)
	anim:SetHotSpot(24,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Photo',anim,982,277,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_utility_room/Items/PowderCase.png',0,0,50,29,1,0)
	anim:SetHotSpot(25,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('PowderCase',anim,923,526,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_utility_room/Items/PressingMachine.png',0,0,108,83,1,0)
	anim:SetHotSpot(54,41)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('PressingMachine',anim,441,564,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_utility_room/Items/Shoe.png',0,0,64,55,1,0)
	anim:SetHotSpot(32,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Shoe',anim,653,562,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_utility_room/Items/Swan.png',0,0,52,43,1,0)
	anim:SetHotSpot(26,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Swan',anim,210,281,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_utility_room/Items/Tassels.png',0,0,29,52,1,0)
	anim:SetHotSpot(14,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Tassels',anim,801,119,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_utility_room/Layers/BG_Botinok.png',0,0,39,56,1,0)
	anim:SetHotSpot(19,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Botinok',anim,657,564,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_utility_room/Layers/BG_Foto.png',0,0,59,26,1,0)
	anim:SetHotSpot(29,13)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Foto',anim,981,304,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_utility_room/Layers/BG_Gladilny_press.png',0,0,121,88,1,0)
	anim:SetHotSpot(60,44)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Gladilny_press',anim,439,556,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_utility_room/Layers/BG_Lebed.png',0,0,59,39,1,0)
	anim:SetHotSpot(29,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Lebed',anim,207,291,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_utility_room/Layers/BG_Slon.png',0,0,53,23,1,0)
	anim:SetHotSpot(26,11)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Slon',anim,560,219,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_utility_room/Layers/BG_Lantern.png',0,0,37,41,1,0)
	anim:SetHotSpot(18,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Lantern',anim,280,650,102,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
